5ちゃんねる ★スマホ版★ ■掲示板に戻る■ 全部 1- 最新50  

■ このスレッドは過去ログ倉庫に格納されています

FreeBSD 5.0 は 2002 年 11 月に延期されました.

1 :名無しcore dumped:01/09/19 11:42
も少し開発サイクル速くなりませんかね〜

2 :名無しさん@お腹いっぱい。:01/09/19 11:57
http://cocoa.2ch.net/test/read.cgi?bbs=unix&key=961853878&st=364&to=364&nofirst=true
もう先月にがいしゅつ。

削除依頼だしておけよ

3 :名無しさん@お腹いっぱい。:01/09/19 15:14
5.0延期に伴い開発者募集のお知らせがannounceに出てました。

4 :名無しさん@お腹いっぱい。:01/09/20 03:54
>>1
そんなあなたにFreeBSD 5-CURRENT
ちょうどいま楽しくなっているころだし :)

5 : :01/10/05 16:37
なんだかFreeBSD3から、開発の方向が
安定性よりも新奇機能とかの方を向いていて、
完全に安定もしくはバグが取りきれるよりも
先に次の互換性の無いバージョンに行って
しまうのが、不便です。
 特にネットワークのサーバーとして長期運用
しようとしても、あるところでサポート打ち切られて
しまうので、バグを抱えたままだと仕方がないので
サーバーを根本から更新しなければなりませんが、
サーバーというのはインストールして終わりでは
なくて、いろいろな調整や設定を行って運用
しているものなので、そう簡単な作業ではありません。
 もちろんソースがあるから手で直せという意見も
ありえますが、それは大変です。
2.2.8Rで十分に機能的に満足しているのに、
各種セキュリティホールが見つかったり、あるいは
もはや調査対象ですらないために、危険になるので
止む終えずというのは、苦しい気がします。
しかし新しいバージョンにもそれなりの新たなバグが
あったりしますね。
有料製品ではないので、サポートできないのは
仕方ないのでしょうが。

後、スタックオーバーフローによる危険性は原理
的にはライブラリーの補強により皆無にできる
はずと聞いているのに、なぜまだそうならないの
でしょうか?

6 :名無しさん@お腹いっぱい。:01/10/05 16:52
>>5
そんなあなたは OpenBSD を使いましょう。

7 :名無しさん@お腹いっぱい。:01/10/05 17:02
>>6
藁タ。

8 :ななし:01/10/05 17:11
え、なんで?

9 :名無しさん@お腹いっぱい。:01/10/05 17:57
FreeBSD 3-STABLEが安定していないと?remote exploitはすべて今でも面倒見られているのに、問題?

2.2.8って三年前のものですよ?今でも深刻なexploitについては保守されているのに、まだ十分でないと?
localに信用できないユーザが入りうるような環境なら、三年も同じシステムを使い続けるという運用計画自体が間違っているのではないかな。

10 :名無しさん@お腹いっぱい。:01/10/05 18:06
まあ、それでも使い続けたいところは、Yahoo!のように自前で保守・チューニングを続けるわけですな。

OS自体は無償で提供できても、四年も五年も移行せずにセキュリティを保って使い続けたいというユーザの面倒まで無償で見るのは難しいのでは。商用UNIXベンダでもそこまでやってくれるかは分からないよ。

11 :名無しさん@お腹いっぱい。:01/10/06 15:08
>>10
Sun は SunOS 4.1.4 の patch をいまだに出しつづけていますな。

12 :11:01/10/06 15:13
あ、SunOS 4.1.4 については出ているのは patch report で新規 patch はうち
どめだった。きちんと patch cluster を release しているのは Solaris 2.3
からか。それでも release されてから8年ぐらい経っていたりする。

13 :名無しさん@お腹いっぱい。:01/10/06 15:21

http://www2.odn.ne.jp/~win530//voice/
先月の2ちゃんねる閉鎖危機の発端として一時期は騒がれたサイトだが、
案の定管理人は2ちゃんねらーからボロクソに攻撃されてる様子(藁
脅迫メールも絶えないら しい。ププ  1chができて、どうなるか!?
       


14 :名無しさん@お腹いっぱい。:01/10/06 19:24
機器はどうやって回避されたのか、2chの
分野ごとにサーバーを分散したの?

15 :ななしさん@おなかいっぱい:01/10/06 23:27
>>5
あなたは満足していても、FreeBSDを開発している人の(の、かなりの部分)
は2.2.8-RELEASEじゃ満足してないということだわな。2.2系列だと、CAMやら
SMPのサポートすら無いのでわ? もちろんsoftdepも。SMPやNFSのロック、
大容量メモり対応など、頑張って欲しい部分はまだまだたくさんあるしんだし。
古いバージョンを使い続けるのなら、自分で何とかしたりお金払ってサポート
を頼んだりするのは、ある意味たうぜんでしょ。

>>11
CVSを追っかけてみりゃ判るけど、FreeBSDの2.2-STABLEだってたまに
セキュリティまわりの修正が入ったりする。アナウンスは出ないけど。必要
があればCVSupなりで最新のソースに更新しておいてmakeすればそれで
済むことなのでわ?
修正の量は微々たるもんだから、追いかけるのだって簡単だし。

16 :名無しさん@お腹いっぱい。:01/10/07 02:23
>>15 おおむね同意。ただ、
>CVSを追っかけてみりゃ判るけど、FreeBSDの2.2-STABLEだってたまに
>セキュリティまわりの修正が入ったりする。アナウンスは出ないけど。
これをあまり信じるのもどうかと。
cvs mergeして、コンパイル通るくらいは確認してるんだろうけど、
RELENG_3以降ほどちゃんと検査はしてないはず。
(もちろん、そこにまわすリソースがあるなら別のところに使った方がいいと思う。)

>>5
>なんだかFreeBSD3から、開発の方向が
>安定性よりも新奇機能とかの方を向いていて、
>完全に安定もしくはバグが取りきれるよりも
>先に次の互換性の無いバージョンに行って
>しまうのが、不便です。
そうかなあ。FreeBSD core teamの連中は、1.0のころから安定性よりも
新機能の追加に熱心だったような気がするけど。

ちなみに、-currentからやってきたリリースは以下のとおり。
2.0(1994/11) - 2.1(1995/11) - 2.2(1997/03) - 3.0(1998/10) - 4.0(2000/03)
5.0が2002/11だから、RELENG_4の寿命は相当長い。

6 KB
■ このスレッドは過去ログ倉庫に格納されています

★スマホ版★ 掲示板に戻る 全部 前100 次100 最新50

read.cgi ver 05.04.00 2017/10/04 Walang Kapalit ★
FOX ★ DSO(Dynamic Shared Object)